PCAP_SET_DATALINK(3) | Library Functions Manual | PCAP_SET_DATALINK(3)

# NAME

pcap_set_datalink - set the link-layer header type to be used by a capture device

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_set_datalink(pcap_t *p, int dlt);

# DESCRIPTION

pcap_set_datalink() is used to set the current link-layer header type of the pcap descriptor to the type specified by dlt.

# RETURN VALUE

pcap_set_datalink() returns 0 on success and -1 on failure. If -1 is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

# SEE ALSO

pcap(3), pcap_geterr(3), pcap_datalink_name_to_val(3)

22 August 2010 |